//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace CourierDeliveryNetwork.Data
{
    using System;
    using System.Collections.Generic;
    
    public partial class Address
    {
        public long ID { get; set; }
        public Nullable<long> CustomerID { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string PhoneNumber { get; set; }
        public string StreetAddress { get; set; }
        public Nullable<int> Country { get; set; }
        public Nullable<int> State { get; set; }
        public Nullable<int> City { get; set; }
        public string Pincode { get; set; }
        public string Landmark { get; set; }
        public Nullable<int> Address_No { get; set; }
        public Nullable<bool> WhetherDefault { get; set; }
        public Nullable<System.DateTime> CreatedDate { get; set; }
    
        public virtual CityMaster CityMaster { get; set; }
        public virtual CountryMaster CountryMaster { get; set; }
        public virtual CustomerRegistration CustomerRegistration { get; set; }
        public virtual StateMaster StateMaster { get; set; }
    }
}
